#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,l,m=0;
    cin>>n>>l;
    int a[n];
    for (int i=0; i<n; i++)
    {
        cin>>a[i];
        if(a[i]<=l)
            {
                m=i+1;
                break;
            }
    }
    if(m>0)
        cout<<m;
    else cout<<-1;
    return 0;
}